### Hierarchy

- EditingXSDAttributeService

## Index

### Properties

- baseUrl_
- http_
- promises_

### Methods

- getAttributes

## Properties

### baseUrl_

baseUrl_: string

- Defined in src/editing/XSDAttributes.js:44

### http_

http_: IHttpService

- Defined in src/editing/XSDAttributes.js:39

### promises_

promises_: Object

- Defined in src/editing/XSDAttributes.js:49

## Methods

### getAttributes

- getAttributes(id: number): IPromise<Attribute[]>

- - Defined in src/editing/XSDAttributes.js:56

  #### Parameters

  - ##### id: number

    Layer id.

  #### Returns IPromise<Attribute[]>

  Promise.

Generated using TypeDoc